class bind::zone_file (
  $package_name = $::bind::params::package_name,
  $template     = 'bind/zone_file.erb',
  $zonedir      = $::bind::params::zonedir,
  $zonegroup    = $::bind::params::zonegroup,
  $file_name    = undef,
  $nameserver   = undef,
  $admin        = undef,
  $ttl          = '3600',
  $serial       = '1',
  $refresh      = '3600',
  $retry        = '1800',
  $expire       = '3600',
  $minimum      = '3600',
  $records      = [],
) inherits ::bind::params {
  file { $zonedir:
    ensure => directory,
  }
  file { "${zonedir}/${file_name}":
    require => package[$package_name],
    content => template($template),
    group   => $zonegroup,
    mode    => '0640',
  }
}
